SHUTDOWN(8)

BEZEICHNUNG
shutdown - fährt das System herunter

ÜBERSICHT
/sbin/shutdown [-akrhPHfFnc] [-t Sek] Zeit [Warnmeldung]

BESCHREIBUNG
shutdown brings the system down in a secure way. All logged-in users are notified that the system is going down, and login(1) is blocked. It is possible to shut the system down immediately or after a specified delay. All processes are first notified that the system is going down by the signal SIGTERM. This gives programs like vi(1) the time to save the file being edited, mail and news processing programs a chance to exit cleanly, etc. shutdown does its job by signalling the init process, asking it to change the runlevel. Runlevel 0 is used to halt the system, runlevel 6 is used to reboot the system, and runlevel S is used to put to system into a state where administrative tasks can be performed; this is the default if neither the -h or -r flag is given to shutdown. To see which actions are taken on halt or reboot see the appropriate entries for these runlevels in the file /etc/inittab.

OPTIONEN

-a  verwendet /etc/shutdown.allow

-k  nicht tatsächlich herunterfahren; nur die Warnmeldungen an alle Benutzer versenden

-r  nach dem Herunterfahren neu starten

-h  Equivalent to -P, unless -H is specified.

-P  Action is to power-off the machine.

-H  Action is to halt the machine.

-f  Beim Systemstart wird fsck(8) übersprungen.

-F  Beim Systemstart wird fsck(8) erzwungen.

-n  [MISSBILLIGT] Nicht init(8) aufrufen, um das System herunterzufahren, sondern es selber tun. Von der Verwendung dieser Option wird abgeraten. Ihre Ergebnisse sind nicht immer das, was Sie erwarten würden.

-c  Bricht ein anstehendes Herunterfahren ab (»shutdown now« steht nicht mehr an). Mit dieser Option können Sie natürlich kein Zeit-Argument übergeben, aber Sie können auf der Befehlszeile eine erklärende Meldung eingeben, die an alle Nutzer gesendet wird.

-t Sek
    Weist init(8) an, Sek Sekunden nach dem Versand der Warnung und des Kill-Signals zu warten, bevor der Runlevel gewechselt wird.

Zeit
    Zeitpunkt des Herunterfahrens

Warnmeldung
    Diese Nachricht wird an alle Benutzer gesendet.

Für das Argument Zeit gibt es verschiedene Formate. Das erste ist eine absolute Zeit im Format hh:mm, wobei die ein oder zwei Ziffern hh die Stunden und die zwei Ziffern mm die Minuten angeben. Das zweite Format +m gibt die Wartezeit in Minuten an. Schließlich ist now ein Synonym für +0.

If shutdown is called with a delay, it will create the advisory file /etc/nologin which causes programs such as login(1) to not allow new user logins. This file is created five minutes before the shutdown sequence starts. Shutdown removes this file if it is stopped before it can signal init (i.e. it is cancelled or something goes wrong). It also removes it before calling init to change the runlevel.

Der Schalter -f bedeutet »schnell wieder hochfahren« (reboot fast). Es wird lediglich eine Hinweisdatei /fastboot erzeugt, die vom System beim Neustart ausgewertet werden kann. Das für den Start zuständige rc-Skript kann, wenn die Datei vorhanden ist, entscheiden, wegen dem ordnungsgemäßen Herunterfahren den Aufruf von fsck(8) zu unterlassen. Danach sollte der Startvorgang /fastboot entfernen.

Der Schalter -F bedeutet »Dateisysteme auf jeden Fall prüfen« (force fsck). Es wird lediglich die Hinweisdatei /forcefsck erzeugt. Das für den Start zuständige rc-Skript kann, wenn die Datei vorhanden ist, entscheiden, fsck(8) mit dem Schalter --force aufzurufen, sodass auch ordnungsgemäß ausgehängte Dateisysteme überprüft werden. Danach sollte der Startvorgang /forcefsck entfernen.

Mit dem Schalter -n wird shutdown nicht init(8) aufrufen, sondern alle laufenden Prozesse selbst beenden. Danach deaktiviert shutdown die Ressourcenüberwachung (quota), die Prozessabrechnung (accounting) und die Speicherauslagerung (swapping) und hängt alle Dateisysteme aus.

ZUGRIFFSKONTROLLE
Shutdown kann von init(8) als Reaktion auf die Tastenkombination STRG-ALT-ENTF aufgerufen werden, indem ein entsprechender Eintrag in /etc/inittab hinzugefügt wird. Damit kann jeder, der physischen Zugriff auf die Konsolen-Tastatur hat, das System herunterfahren. Um dies zu verhindern, kann shutdown überprüfen, ob ein berechtigter Benutzer auf einer der virtuellen Konsolen angemeldet ist. Wenn shutdown mit dem Schalter -a aufgerufen wird (fügen Sie dies dem Aufruf von shutdown in /etc/inittab hinzu), überprüft es, ob die Datei /etc/shutdown.allow vorhanden ist. Es vergleicht dann die Login-Namen in der Datei mit der Liste der Personen, die an einer virtuellen Konsole angemeldet sind (die Daten stammen aus /var/run/utmp). Nur wenn einer dieser autorisierten Benutzer oder root eingeloggt ist, macht es weiter. Sonst wird es die Nachricht

shutdown: no authorized users logged in

auf die (physikalische) System-Konsole ausgeben. Das Format von /etc/shutdown.allow ist ein Benutzername pro Zeile. Leere und Kommentarzeilen (beginnen mit einem #) sind möglich. Derzeit ist die Datei auf 32 Benutzer beschränkt.

Beachten Sie: Wenn /etc/shutdown.allow nicht vorhanden ist, wird der Schalter -a ignoriert.

ANHALTEN ODER AUSSCHALTEN
Der Schalter -H setzt die von init(8) ausgewertete Umgebungsvariable INIT_HALT auf HALT; -P weist dieser Variable den Wert POWEROFF zu. Das Skript zur Steuerung des Herunterfahrens sollte INIT_HALT auswerten und halt(8) mit den passenden Optionen aufrufen, damit der Wert der Variable auch tatsächlich etwas bewirkt. Debian 3.1 (sarge) unterstützt diese Optionen.

DATEIEN
/fastboot
/etc/inittab
/etc/init.d/halt
/etc/init.d/reboot
/etc/shutdown.allow

ANMERKUNGEN
Viele Benutzer vergessen es, das Zeit-Argument anzugeben und werden dann durch die Fehlermeldung von Shutdown verwirrt. Das Zeit-Argument ist obligatorisch; in 90 Prozent aller Fälle wird es das Wort now sein.

Init kann STRG-ALT-ENTF nur im Konsolen-Modus abfangen und das Herunterfahren einleiten. Wenn auf dem Rechner das X Window System läuft, verarbeitet dieses alle Tastatureingaben. Manche X11-Umgebungen ermöglichen das Abfangen von STRG-ALT-ENTF, aber in diesem Fall ist der genaue Ablauf von der Umgebung abhängig.

Shutdown wurde nicht dafür entworfen, mit einer anderen Benutzerkennung (setuid) zu laufen. Mit /etc/shutdown wird nicht festgestellt, wer das Programm aufgerufen hat. Es wird nur geprüft, wer aktuell auf (einer) der Konsole(n) angemeldet ist.

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

SIEHE AUCH
fsck(8), halt(8), init(8), poweroff(8), reboot(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.